> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Register AWS integration remotely



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json put /v1/integration/aws/register
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/aws/register:
    put:
      tags:
        - Integration
      summary: Register AWS integration remotely
      operationId: IntegrationController_addAWSIntegrationRemote
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddAWSIntegrationRemoteDto'
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
components:
  schemas:
    AddAWSIntegrationRemoteDto:
      type: object
      properties:
        roleArn:
          type: string
          description: AWS IAM role ARN for integration access
        externalId:
          type: string
          description: External ID for secure role assumption
        apiKey:
          type: string
          description: API key for remote AWS integration registration
      required:
        - roleArn
        - externalId
        - apiKey
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode

````